%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: MatrixAssemble.m
%==========================================================

function [Att, Atu, Aut, Auu, Aaug] = MatrixAssemble(str, Aele)
%----------------------------------------------------------
% Initialize augmented matrix
%----------------------------------------------------------
for row = 1:str.ntdofs
    for col = 1:str.ntdofs
        Aaug(row,col)=0;
    end
end
%----------------------------------------------------------
% Augumented matrix
for iele = 1:str.nele
    for row = 1:str.ndofpe;
        lr = str.LM(iele,row);
        for col = 1:str.ndofpe;
            lc = str.LM(iele,col);
            Aaug(lr,lc) = Aaug(lr,lc) + Aele(row,col,iele);
        end
    end
end
%----------------------------------------------------------
% Att
for i = 1:str.nfdofs
    for j = 1:str.nfdofs
        Att(i,j) = Aaug(i,j);
    end
end
%----------------------------------------------------------
% Atu
for i = 1:str.nfdofs
    for j = 1:str.ncdofs
        Atu(i,j) = Aaug(i,j+str.nfdofs);
    end
end
%----------------------------------------------------------
% Aut
for i = 1:str.ncdofs
    for j = 1:str.nfdofs
        Aut(i,j) = Aaug(i+str.nfdofs,j);
    end
end
%----------------------------------------------------------
% Auu
for i = 1:str.ncdofs
    for j = 1:str.ncdofs
        Auu(i,j) = Aaug(i+str.nfdofs,j+str.nfdofs);
    end
end
%----------------------------------------------------------