%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: .m
%==========================================================

function [ini] = Simple3DTrussInitialStiffnessMatrix(ele, sec, mat)
%------------------------------------------------
sectag = ele.sectag;
L      = ele.L;
Gamma  = ele.Gamma;
switch sec(sectag).type
    case 'General'
        mattag = sec(sectag).mattag;
        A      = sec(sectag).A;
        E      = mat(mattag).E;
        EA     = E * A;
end
%----------------------------------------------------------
ini.barke(:,:) = EA/L * [ 1, -1;
                         -1, 1];
%----------------------------------------------------------
ini.Ke(:,:) = Gamma(:,:)' * ini.barke * Gamma(:,:);
%==========================================================
% sectag: Section tag of element
% L: Element length
% Gamma: Transformation matrix from global to local
% sec(sectag).type: Section type
% mattag: Material tag of section
% E: Young's modulus
% A: Cross-sectional area
% EA = E*A
% ini.barke: Initial element stiffness matrix on local reference
% ini.Ke: Initial element stiffness matrix on global reference
%==========================================================