%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: StiffnessBased3DBeamColumnTransformationMarix.m
%==========================================================

function [Gamma] = StiffnessBased3DBeamColumnTransformationMarix(Cx, Cy, Cz, alphax)
%------------------------------------------------
Cxz    = sqrt( Cx*Cx+Cz*Cz);
if (Cxz ~= 0)
    gamma(:,:) =[                                     Cx,               Cy,                                      Cz;
                 (-Cx*Cy*cos(alphax)-Cz*sin(alphax))/Cxz,  Cxz*cos(alphax), (-Cy*Cz*cos(alphax)+Cx*sin(alphax))/Cxz;
                  (Cx*Cy*sin(alphax)-Cz*cos(alphax))/Cxz, -Cxz*sin(alphax),  (Cy*Cz*sin(alphax)+Cx*cos(alphax))/Cxz];
else
    gamma(:,:) = [              0, Cy,           0;
                  -Cy*cos(alphax),  0, sin(alphax);
                   Cy*sin(alphax),  0, cos(alphax)];
end
Gamma(:,:) = [gamma(:,:), zeros(3,3), zeros(3,3), zeros(3,3);
              zeros(3,3), gamma(:,:), zeros(3,3), zeros(3,3);
              zeros(3,3), zeros(3,3), gamma(:,:), zeros(3,3);
              zeros(3,3), zeros(3,3), zeros(3,3), gamma(:,:)];
%================================================
% Gamma : Transformation matrix
% gamma : sub transformation matrix
% Cx    : Direction consine of x direction
% Cy    : Direction consine of y direction
% Cy    : Direction consine of z direction
% Cxz   : Direction consine of xz direction
% alphax: Rotation of x-axis
%================================================
