%====================================================================
%   Mercury Matlab Ver. 1.0 for Education
%   Written  : Daehung Kang
%   Date     : September 1st, 2009
%   File name: ex01.m
%====================================================================
% Description
% 1. Static analysis
% 2. Nodal force
% 3. Simple 2D truss element
% 5. General section
% 6. Elastic material
%--------------------------------------------------------------------
% pp. 374, 9-22
% Structural Analysis Sixth Edition (2006) by R.C. Hibbeler
% Published by Pearson Prentice Hall
% A-36 Steel member, Cross-sectional area = 400mm^2, E=200GPa=200kN/mm^2
%--------------------------------------------------------------------
% Preface
Unit      = {'kN', 'mm'};
%         ndim, ndofpn
StrMode   = [2, 2];
%--------------------------------------------------------------------
% Control block
Analysis  = 'Static';
%--------------------------------------------------------------------
% Geometry block
%          nodtag, x, y
nodcoord   = {1,    0, 0;
              2, 1500, 0;
              3, 3000, 0;
              4, 1500, 2000;
              5, 3000, 2000};
%          nodtag, x, y
constraint = {3, 1, 1;
              5, 1, 1};
%--------------------------------------------------------------------
% Element block
%          {eletag, 'Simple2DTruss', in, jn, sectag}}
elements = { {1, 'Simple2DTruss', 1, 2, 1};
             {2, 'Simple2DTruss', 2, 3, 1};
             {3, 'Simple2DTruss', 1, 4, 1};
             {4, 'Simple2DTruss', 2, 4, 1};
             {5, 'Simple2DTruss', 3, 4, 1};
             {6, 'Simple2DTruss', 4, 5, 1} };
%--------------------------------------------------------------------
% Section block
%           sectag, 'General', {mattag, A, Ix, Iy, Iz}
sections = { 1, 'General', {1, 400, 0, 0, 0} };
%--------------------------------------------------------------------
% Material block
%            mattag, 'Elastic', E, G, density
materials = { {1, 'Elastic', 200, 0, 0} };
%--------------------------------------------------------------------
% Force block
%          'NodalForce', {nodnum, globalaxis, m}
staticforces = { 'NodalForce', {1, 2, -30;
                                2, 2, -20}};
%--------------------------------------------------------------------