%====================================================================
%   Mercury Matlab Ver. 1.0 for Education
%   Written  : Daehung Kang
%   Date     : September 1st, 2009
%   File name: ex02.m
%====================================================================
% Description
% 1. Static analysis
% 2. Nodal force
% 3. Stiffness-based beam
% 5. General section
% 6. Elastic material
%--------------------------------------------------------------------
% pp. 377, 9-63
% Structural Analysis Sixth Edition (2006) by R.C. Hibbeler
% Published by Pearson Prentice Hall
% Arbitary A and Iz for stiffness-based beam
% E = 200GPa = 200,000,000kPa, Iz = 9.50*10^6 mm^4 = 9.50*10^6 * 10^-12 m^4
%--------------------------------------------------------------------
% Preface
Unit      = {'kN', 'm'};
%         ndim, ndofpn
StrMode   = [2, 2];
%--------------------------------------------------------------------
% Control block
Analysis  = 'Static';
%--------------------------------------------------------------------
% Geometry block
%          nodtag, x, y
nodcoord   = {1, 0, 0;
              2, 4, 0;
              3, 8, 0;};
%          nodtag, y, tz
constraint = {1, 1, 0;
              2, 1, 0};
%--------------------------------------------------------------------
% Element block
%          {eletag, 'StiffnessBasedBeam', in, jn, sectag}}
elements = { {1, 'StiffnessBasedBeam', 1, 2, 1};
             {2, 'StiffnessBasedBeam', 2, 3, 1};};
%--------------------------------------------------------------------
% Section block
%           sectag, 'General', {mattag, A, Ix, Iy, Iz}
sections = { 1, 'General', {1, 400, 0, 0, 9.50*10^6*10^-12} };
%--------------------------------------------------------------------
% Material block
%            mattag, 'Elastic', E, G, density
materials = { {1, 'Elastic', 200000000, 0, 0} };
%--------------------------------------------------------------------
% Force block
%          'NodalForce', {nodnum, globalaxis, m}
staticforces = { 'NodalForce', {3, 2,-12};};
%--------------------------------------------------------------------