%====================================================================
%   Mercury Matlab Ver. 1.0 for Education
%   Written  : Daehung Kang
%   Date     : September 1st, 2009
%   File name: ex03.m
%====================================================================
% Description
% 1. Static analysis
% 2. Element force and element distributed force
% 3. Stiffness-based beam
% 5. General section
% 6. Elastic material
%--------------------------------------------------------------------
% pp. 378, 9-69
% Structural Analysis Sixth Edition (2006) by R.C. Hibbeler
% Published by Pearson Prentice Hall
% Arbitary A and Iz for stiffness-based beam
% E = 13.1 GPa = 13.1 kN/mm^2
% Iz = 120*180^3/12 mm^4
%--------------------------------------------------------------------
% Preface
Unit      = {'kN', 'mm'};
%         ndim, ndofpn
StrMode   = [2, 2];
%--------------------------------------------------------------------
% Control block
Analysis  = 'Static';
%--------------------------------------------------------------------
% Geometry block
%          nodtag, x, y
nodcoord   = {1,    0, 0;
              2, 1500, 0;
              3, 4500, 0};
%          nodtag, y, tz
constraint = {2, 1, 0;
              3, 1, 0};
%--------------------------------------------------------------------
% Element block
%          {eletag, 'StiffnessBasedBeam', in, jn, sectag}}
elements = { {1, 'StiffnessBasedBeam', 1, 2, 1};
             {2, 'StiffnessBasedBeam', 2, 3, 1}};
%--------------------------------------------------------------------
% Section block
%           sectag, 'General', {mattag, A, Ix, Iy, Iz}
sections = { 1, 'General', {1, 400, 0, 0, 120*180^3/12}};
%--------------------------------------------------------------------
% Material block
%            mattag, 'Elastic', E, G, density
materials = { {1, 'Elastic', 13.1, 0, 0} };
%--------------------------------------------------------------------
% Force block
%           'ElementForce', {elenum, localaxis, distance from start node, m}    
staticforces = { 'ElementForce', {2, 1, 1500, -8}};
%--------------------------------------------------------------------