%====================================================================
%   Mercury Matlab Ver. 1.0 for Education
%   Written  : Daehung Kang
%   Date     : September 1st, 2009
%   File name: ex04.m
%====================================================================
% Description
% 1. Static analysis
% 2. Nodal force
% 3. Simple3DTruss
% 5. General section
% 6. Elastic material
%--------------------------------------------------------------------
% indat5 in casap 
%--------------------------------------------------------------------
% Preface
Unit      = {'kips', 'in'};
%         ndim, ndofpn
StrMode   = [3, 3];
%--------------------------------------------------------------------
% Control block
Analysis  = 'Static';
%--------------------------------------------------------------------
% Geometry block
%          nodtag, x, y, z
nodcoord = {1,  -72,   0,  96;
            2,  144,   0,  96;
            3,   72,   0, -96;
            4, -144,   0, -96;
            5,    0, 288,   0};
%          nodtag, x, y, z
constraint={1, 1, 1, 1;
            2, 1, 1, 1; 
            3, 1, 1, 1;
            4, 1, 1, 1};
%--------------------------------------------------------------------
% Element block
%          {eletag, 'Simple3DTruss', in, jn, sectag}}
elements = { {1, 'Simple3DTruss', 1, 5, 1};
             {2, 'Simple3DTruss', 2, 5, 1};
             {3, 'Simple3DTruss', 3, 5, 1};
             {4, 'Simple3DTruss', 4, 5, 1}};
%--------------------------------------------------------------------
% Section block
%           sectag, 'General', {mattag, A, Ix, Iy, Iz}
sections = { 1, 'General', {1, 8.4, 0, 0, 0}};
%--------------------------------------------------------------------
% Material block
%            mattag, 'Elastic', E, G, density
materials = { {1, 'Elastic', 10000, 0, 0} };
%--------------------------------------------------------------------
% Force block
%          'NodalForce', {nodnum, globalaxis, m}
staticforces = { 'NodalForce', {5, 2, -100;
                                5, 3,  -50}};
%--------------------------------------------------------------------