%====================================================================
%   Mercury Matlab Ver. 1.0 for Education
%   Written  : Daehung Kang
%   Date     : September 1st, 2009
%   File name: ex05.m
%====================================================================
% Description
% 1. Static analysis
% 2. Element force
% 3. Stiffness-based 2D beam-column
% 5. General section
% 6. Elastic material
%--------------------------------------------------------------------
% pp. 380, 9-94
% Structural Analysis Sixth Edition (2006) by R.C. Hibbeler
% Published by Pearson Prentice Hall
% E = 29*10^3 kips/in^2 = 29*10^3*12^2 kips/ft^2
% Iz_12 and Iz_34= 600 in^4 = 600*12^-4 ft^4,
% A_12 and A_34 = 100 in^2 = 100*12^-2 ft^2,
% Iz-23 = 900 in^4 = 900*12^-4 ft^4,
% A_23 = 100 in^2 = 100*12^-2 ft^2,
%--------------------------------------------------------------------
% Preface
Unit      = {'kips', 'ft'};
%         ndim, ndofpn
StrMode   = [2, 3];
%--------------------------------------------------------------------
% Control block
Analysis  = 'Static';
%--------------------------------------------------------------------
% Geometry block
%          nodtag, x, y
nodcoord = {1,  0,  0;
            2,  0, 12; 
            3, 10, 12;
            4, 10,  0};
%          nodtag, x, y, tz
constraint={1, 0, 1, 0;
            4, 1, 1, 0};
%--------------------------------------------------------------------
% Element block
%          {eletag, 'StiffnessBased2DBeamColumn', in, jn, sectag}}
elements = { {1, 'StiffnessBased2DBeamColumn', 1, 2, 1};
             {2, 'StiffnessBased2DBeamColumn', 2, 3, 2};
             {3, 'StiffnessBased2DBeamColumn', 3, 4, 1}};
             
%--------------------------------------------------------------------
% Section block
%           sectag, 'General', {mattag, A, Ix, Iy, Iz}
sections = { 1, 'General', {1, 100*12^-2, 0, 0, 600*12^-4};
             2, 'General', {1, 100*12^-2, 0, 0, 900*12^-4}};
%--------------------------------------------------------------------
% Material block
%            mattag, 'Elastic', E, G, density
materials = { {1, 'Elastic', 29*10^3*12^2, 0, 0} };
%--------------------------------------------------------------------
% Force block
%           'ElementForce', {elenum, localaxis, distance from start node, m}    
staticforces = { 'ElementForce', {2, 2, 5, -12}};
%--------------------------------------------------------------------