%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: main.m
%==========================================================
clear all;clc;
format short e;
%------------------------------------------------
fprintf('---------------------------------------------------------------\n');
fprintf('Start: Mercury Matlab Ver. Education - Finite element analysis\n');
fprintf('---------------------------------------------------------------\n');
while(1)
%------------------------------------------------
    [str, ele, sec, mat, staticforces] = ReadInputFile;
    [str, ele]                         = FEAnalysis(str, ele, sec, mat);
    %------------------------------------------------
    WriteOutputFile(str, ele, sec, mat, staticforces);
    answer = input('Do you want more analysis?(y/n)', 's');
    if answer == 'n'
        break;
    else
        clear all;
    end
%------------------------------------------------
end
fprintf('---------------------------------------------------------------\n');
fprintf('End  : Mercury Matlab Ver. Education - Finite element analysis\n');
fprintf('---------------------------------------------------------------\n');
%------------------------------------------------
%================================================
% str: Structure with information on structural level
% ele: Structure with information on element level
% sec: Structure with information on section level
% mat: Structure with information on material level
% ReadInputFile: It stores all information received from input file
%================================================